package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.PersonFamily;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface PersonFamilyService {
	PersonFamily get(String id);
	boolean exist(String id);
	int insert(PersonFamily model);
	int update(PersonFamily model);
	int delete(String id);
	List<PersonFamily> list();
	Page<PersonFamily> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}